<?php

namespace App\Console\Commands\SmartPush;

use Illuminate\Console\Command;
use App\Modules\OfficialAccount\Services\CustomMsgService;
class UnPaidUserBigActivity extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'SmartPush:UnPaidUserBigActivity';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '未支付新用户优惠充值活动（更多充值选项 ）';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->unPaidUserBigActivity();
    }

    public function unPaidUserBigActivity(){
        CustomMsgService::SmartPush('unpaid_send_big_activity');
    }
}
